Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.index
Class DefaultBuildResultsIndexer

    java.lang.Object
      com.atlassian.bamboo.index.DefaultBuildResultsIndexer

All Implemented Interfaces:
  BuildResultsIndexer

Direct Known Subclasses:
  MultithreadedBuildResultsIndexer

    public class DefaultBuildResultsIndexer

extends Object
implements BuildResultsIndexer

Field Summary
`protected BuildManager` | `buildManager`
`protected IndexConnectionManager` | `defaultIndexManager`
`protected TestResultManager` | `testResultManager`

Constructor Summary
`DefaultBuildResultsIndexer()`

Method Summary
`void` | `deIndexBuild(Build build)`
`void` | `deIndexBuildResults(BuildResultsSummary summary, boolean includeTests)`
`BuildResultsSummaryDocumentFactory` | `getBuildResultsSummaryDocumentFactory()`
`IndexConnectionManager` | `getDefaultIndexManager()`
`SessionFactory` | `getSessionFactory()`
`TestResultManager` | `getTestResultManager()`
`long` | `indexBuild(Build build)` Indexes the build.
`protected long` | `indexBuildKeepConnection(Build build)`
`long` | `indexBuildResult(BuildResults buildResults)` Build result indexed by the build thread - need to establish session to attach back to build restuls summary.
`protected long` | `indexBuildResultKeepConnection(BuildResults buildResults, BuildResultsSummary summary)`
`protected void` | `indexTestCaseResult(TestCaseResultWrapper testCase)`
`protected void` | `indexTestCaseResults(List wrappedResults)`
`long` | `reindexAll()` Reindexes all test results.
`void` | `reIndexBuildResults(BuildResults result, BuildResultsSummary summary, boolean includeTests)`
`void` | `setBuildManager(BuildManager buildManager)`
`void` | `setBuildResultsSummaryDocumentFactory(BuildResultsSummaryDocumentFactory buildResultsSummaryDocumentFactory)`
`void` | `setDefaultIndexManager(IndexConnectionManager defaultIndexManager)`
`void` | `setSessionFactory(SessionFactory sessionFactory)`
`void` | `setTestResultManager(TestResultManager testResultManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### testResultManager

    protected TestResultManager testResultManager

### defaultIndexManager

    protected IndexConnectionManager defaultIndexManager

### buildManager

    protected BuildManager buildManager

Constructor Detail

### DefaultBuildResultsIndexer

    public DefaultBuildResultsIndexer()

Method Detail

### reindexAll

    public long reindexAll()
                    throws Exception

  Description copied from interface: `BuildResultsIndexer`
  Reindexes all test results.

  Specified by:
    `reindexAll` in interface `BuildResultsIndexer`
  Returns:
    number of millis this index operation took
  Throws:
    `Exception`

### indexBuild

    public long indexBuild(Build build)
                    throws Exception

  Description copied from interface: `BuildResultsIndexer`
  Indexes the build.

  Specified by:
    `indexBuild` in interface `BuildResultsIndexer`
  Returns:
    number of millis this index operation took
  Throws:
    `Exception`

### indexBuildResult

    public long indexBuildResult(BuildResults buildResults)
                          throws Exception

  Build result indexed by the build thread - need to establish session to attach back to build restuls summary.

  Specified by:
    `indexBuildResult` in interface `BuildResultsIndexer`
  Parameters:
    `buildResults` -
  Returns:
  Throws:
    `Exception`

### indexBuildKeepConnection

    protected long indexBuildKeepConnection(Build build)
                                     throws Exception

  Throws:
    `Exception`

### indexBuildResultKeepConnection

    protected long indexBuildResultKeepConnection(BuildResults buildResults,
                                                  BuildResultsSummary summary)
                                           throws Exception

  Throws:
    `Exception`

### reIndexBuildResults

    public void reIndexBuildResults(BuildResults result,
                                    BuildResultsSummary summary,
                                    boolean includeTests)
                             throws Exception

  Specified by:
    `reIndexBuildResults` in interface `BuildResultsIndexer`
  Throws:
    `Exception`

### deIndexBuild

    public void deIndexBuild(Build build)
                      throws Exception

  Specified by:
    `deIndexBuild` in interface `BuildResultsIndexer`
  Throws:
    `Exception`

### deIndexBuildResults

    public void deIndexBuildResults(BuildResultsSummary summary,
                                    boolean includeTests)
                             throws Exception

  Specified by:
    `deIndexBuildResults` in interface `BuildResultsIndexer`
  Throws:
    `Exception`

### indexTestCaseResults

    protected void indexTestCaseResults(List wrappedResults)
                                 throws IOException,
                                        Exception

  Throws:
    `IOException`
    `Exception`

### indexTestCaseResult

    protected void indexTestCaseResult(TestCaseResultWrapper testCase)
                                throws Exception

  Throws:
    `Exception`

### getTestResultManager

    public TestResultManager getTestResultManager()

### setTestResultManager

    public void setTestResultManager(TestResultManager testResultManager)

### getDefaultIndexManager

    public IndexConnectionManager getDefaultIndexManager()

### setDefaultIndexManager

    public void setDefaultIndexManager(IndexConnectionManager defaultIndexManager)

### setBuildManager

    public void setBuildManager(BuildManager buildManager)

### getBuildResultsSummaryDocumentFactory

    public BuildResultsSummaryDocumentFactory getBuildResultsSummaryDocumentFactory()

### setBuildResultsSummaryDocumentFactory

    public void setBuildResultsSummaryDocumentFactory(BuildResultsSummaryDocumentFactory buildResultsSummaryDocumentFactory)

### getSessionFactory

    public SessionFactory getSessionFactory()

### setSessionFactory

    public void setSessionFactory(SessionFactory sessionFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.